3 Replies Latest reply on Dec 2, 2009 8:04 AM by Ronald van Kuijk

    JBPM 4.1 or 4.2 on Weblogic 9.2 -> Extra jars + unable to lo

    Rocker Rocker Newbie

      Hi

      I have deployed a JBPM (4.1) application on Weblogic 9.2 Server. After a lot of lib clean up , it works fine except for 2 issues -

      1. Extra Libraries
      POM file contains

      <dependency>
      <groupId>org.jbpm.jbpm4</groupId>
      <artifactId>jbpm-jpdl</artifactId>
      <version>4.1</version>
      </dependency>


      This downloads tons of libraries to my target/web-inf/lib folder during build.
      Many of these cause conflict during deployment and are not needed (as i have other versions of those jars). I have to delete many jar files before deploying app on Weblogic 9.2. Has anyone deployed JBPM 4.1 or 4.2 w/o any such jar deletion/modifications ?? Can you share the POM file please.

      2. When i start the server - i get the message -
      com.sun.faces.config.ConfigurationException: It appears the JSP version of the container is older than 2.1 and unable to locate the EL RI expression factory, com.sun.el.ExpressionFactoryImpl. If not using JSP or the EL RI, make sure the context initialization parameter, com.sun.faces.expressionFactory, is properly set.
      


      When i remove the lines

      <context-param>
       <param-name>com.sun.faces.expressionFactory</param-name>
       <param-value>com.sun.faces.ExpressionFactoryImpl</param-value>
       </context-param>


      from web.xml and deploy again, it deploys w/o any issue